Bug 764843 - (GLUSTER-3111) [FEAT] allow.auth only allows wild cards
[FEAT] allow.auth only allows wild cards
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
mainline
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kaushal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 17:46 EDT by epoelke
Modified: 2015-10-22 11:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description epoelke 2011-06-29 17:46:49 EDT
It seems that allow.auth should allow more than one 'network' and should control access by netmasks as oppose to a simple wild card.  Example is that I have a clients sitting on a /23 network and a simple wild card opens up the gluster volume to all kinds of systems that I don't want to have access.  Or if that is not possible at least a list of wild card based 'networks' should be able to be added.  Maybe this should be an enhancement and not a bug, I am not sure if I am going outside the original use case/requirement here..
Comment 1 Amar Tumballi 2012-02-27 05:43:18 EST
priority will be re-addressed after 3.3.0 GA
Comment 2 Alastair Neil 2013-07-24 14:46:26 EDT
I was absolutely astounded when I discovered that the nfs.rpc-auth-allow parameter did not support netmasks.  It is incredible that this product can be used in all but the simplest of circumstances.  This is a essential feature please increase the priority to high.
Comment 3 Alastair Neil 2013-07-24 14:53:34 EDT
(In reply to Alastair Neil from comment #2)
> I was absolutely astounded when I discovered that the nfs.rpc-auth-allow
> parameter did not support netmasks.  It is incredible that this product can
> be used in all but the simplest of circumstances.  This is a essential
> feature please increase the priority to high.

Saw the note above that priority would be addressed after 3.3.0 GA - well 3.4.0 is now out.
Comment 4 Niels de Vos 2014-11-27 09:45:05 EST
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.
Comment 5 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.